# class RSS::RDF::Channel::Items

### Constants

Seq

### Public Class Methods

new(*args) click to toggle source
Calls superclass method

    # File lib/rss/1.0.rb, line 318
    def initialize(*args)
      if Utils.element_initialize_arguments?(args)
        super
      else
        super()
        self.Seq = args[0]
      end
      self.Seq ||= Seq.new
    end

required_uri() click to toggle source

    # File lib/rss/1.0.rb, line 309
    def required_uri
      ::RSS::URI
    end

### Public Instance Methods

resources() click to toggle source

    # File lib/rss/1.0.rb, line 328
    def resources
      if @Seq
        @Seq.lis.collect do |li|
          li.resource
        end
      else
        []
      end
    end